This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 445586 - IssueTracker extension in 3.2 should have config options display in editparams.cgi
IssueTracker extension in 3.2 should have config options display in editparam...
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Administration (Show other bugs)
3.2
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks: RHBZ30UpgradeTracker
  Show dependency treegraph
 
Reported: 2008-05-07 15:22 EDT by David Lawrence
Modified: 2013-06-23 22:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 23:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to allow IssueTracker extensions params to be edited by editparams.cgi (v1) (5.74 KB, patch)
2008-05-07 15:22 EDT, David Lawrence
nelhawar: review+
dkl: review? (kbaker)
Details | Diff

  None (edit)
Description David Lawrence 2008-05-07 15:22:48 EDT
Support recently landed in upstream CVS that allows extensions to have config
parameters display in editparams.cgi along with the normal Bugzilla config
parameters. I have used this new feature to allow the IssueTracker extension to
modify its params using editparams.cgi.

Added:

extensions/issuetracker/code/config.pl
extensions/issuetracker/lib/Config.pm
extensions/template/en/default/admin/params/issuetracker.pl

Please review
Thanks
Dave
Comment 1 David Lawrence 2008-05-07 15:22:48 EDT
Created attachment 304799 [details]
Patch to allow IssueTracker extensions params to be edited by editparams.cgi (v1)
Comment 2 Noura El hawary 2008-05-08 21:03:33 EDT
Comment on attachment 304799 [details]
Patch to allow IssueTracker extensions params to be edited by editparams.cgi (v1)

Hi Dave,

Patch looks good and works nicely ,, only one little typo:

+[% param_descs = {
+  useissuetracker => 'If this option is on, a field will display that will
allow issue tracker id\'s to be' _

need a whitespace after to be ' _
Comment 3 David Lawrence 2008-05-09 11:26:43 EDT
(In reply to comment #2)
> (From update of attachment 304799 [details] [edit])
> +[% param_descs = {
> +  useissuetracker => 'If this option is on, a field will display that will
> allow issue tracker id\'s to be' _
> 
> need a whitespace after to be ' _

Thanks for the review Noura. I have fixed the error and checked into CVS.

Dave


Note You need to log in before you can comment on or make changes to this bug.